- Main Page
- Modules
- Data Structures
- Files
- Directories
- Related Pages

- Data Structures
- Data Fields

# gavl_overlay_t Struct Reference
[Overlay blending]

Overlay structure. More...

`#include <gavl.h>`

## Data Fields
gavl_video_frame_t * | frame
| Video frame in an alpha capable format */.
gavl_rectangle_i_t | ovl_rect
| Rectangle in the source frame */.
int | dst_x
| x offset in the destination frame. */
int | dst_y
| y offset in the destination frame. */

## Detailed Description

Overlay structure.

Structure, which holds an overlay. If the sizes of source and destination rectangles differ, the smaller one will be used.

## Field Documentation

gavl_video_frame_t* gavl_overlay_t::frame

Video frame in an alpha capable format */.

gavl_rectangle_i_t gavl_overlay_t::ovl_rect

Rectangle in the source frame */.

int gavl_overlay_t::dst_x

x offset in the destination frame. */

int gavl_overlay_t::dst_y

y offset in the destination frame. */

The documentation for this struct was generated from the following file:

- /sda4/XXX/YYY/F/gavl-1.0.0/include/gavl/gavl.h